﻿using System;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Activation;
using System.Collections.Generic;
using System.Text;

namespace SilverlightCache.Web
{
    [ServiceContract(Namespace = "")]
    [AspNetCompatibilityRequirements(RequirementsMode = AspNetCompatibilityRequirementsMode.Allowed)]
    public class Service1
    {
        [OperationContract]
        public List<Something> DoWork()
        {
            List<Something> list = new List<Something>();

            for (int i = 0; i < 20; i++)
            {
                list.Add(new Something() {Id=i,Name="name"+i.ToString() });
            }

            return list;
        }

        // 在此处添加更多操作并使用 [OperationContract] 标记它们
    }

    [Serializable]
    [DataContract]
    public class Something
    {
        [DataMember]
        public int Id { get; set; }

        [DataMember]
        public string Name { get; set; }
    }
}
